Update a Feature Flag

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request URI for Sub Account

PATCH /accounts/123456/features/1

Sample Request Body

{
    "name": "Feature Flag Name",
    "description": "Feature Flag Description",
    "goals": [
        {
            "metricId": 123456
        }
    ],
    "variables": [
        {
            "variableName": "variable1",
            "dataType": "string",
            "defaultValue": "Hello World"
        },
        {
            "variableName": "variable2",
            "dataType": "integer",
            "defaultValue": 10
        },
        {
            "variableName": "variable3",
            "dataType": "json",
            "defaultValue": {
                "name": "Wingify",
                "product": "FE"
            }
        }
    ],
    "variations": [
        {
            "name": "variation-name",
            "key": "variation-key",
            "variables": [
                {
                    "variableId": 1,
                    "value": "Hello World updated"
                },
                {
                    "variableId": 2,
                    "value": 20
                }
            ]
        }
    ]
}
Path Params
string
required
Defaults to current
int32
required
Body Params
string
string
goals
array of objects
goals
variables
array of objects
variables
variations
array of objects
variations
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json